import { SimpleLocalIntegration } from '../../core/index.js';
import { DynaliteConfigFlow } from './dynalite.classes.configflow.js';
import { createDynaliteDiscoveryDescriptor } from './dynalite.discovery.js';
import type { IDynaliteConfig } from './dynalite.types.js';
import { dynaliteDomain, dynaliteProfile } from './dynalite.types.js';

export class DynaliteIntegration extends SimpleLocalIntegration<IDynaliteConfig> {
  public readonly domain = dynaliteDomain;
  public readonly discoveryDescriptor = createDynaliteDiscoveryDescriptor();
  public readonly configFlow = new DynaliteConfigFlow();

  constructor() {
    super(dynaliteProfile);
  }
}

export class HomeAssistantDynaliteIntegration extends DynaliteIntegration {}
